[arch-commits] Commit in xf86-input-palmax/trunk (PKGBUILD git-5f8c3d97.patch)

Jan de Groot jgc at archlinux.org
Sun Mar 1 22:17:43 UTC 2009


    Date: Sunday, March 1, 2009 @ 17:17:43
  Author: jgc
Revision: 28719

upgpkg: xf86-input-palmax 1.2.0-2

Added:
  xf86-input-palmax/trunk/git-5f8c3d97.patch
Modified:
  xf86-input-palmax/trunk/PKGBUILD

--------------------+
 PKGBUILD           |   17 ++++++++------
 git-5f8c3d97.patch |   61 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-03-01 22:17:08 UTC (rev 28718)
+++ PKGBUILD	2009-03-01 22:17:43 UTC (rev 28719)
@@ -3,20 +3,23 @@
 
 pkgname=xf86-input-palmax
 pkgver=1.2.0
-pkgrel=1
-pkgdesc="X.org palmax input driver"
+pkgrel=2
+pkgdesc="X.org palmax (TR88L803) touchscreen input driver"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
+makedepends=('pkgconfig' 'xorg-server>=1.6.0')
+conflicts=('xorg-server<1.6.0')
 groups=('xorg-input-drivers')
 options=('!libtool')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('9655d2235569c5a6ac321c6fb89a6f3b')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
+	git-5f8c3d97.patch)
+md5sums=('9655d2235569c5a6ac321c6fb89a6f3b' 'ad6e934a6073b465efc99ad5edc4b79b')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/git-5f8c3d97.patch" || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Added: git-5f8c3d97.patch
===================================================================
--- git-5f8c3d97.patch	                        (rev 0)
+++ git-5f8c3d97.patch	2009-03-01 22:17:43 UTC (rev 28719)
@@ -0,0 +1,61 @@
+diff -ruN -x .gitignore -x .cvsignore xf86-input-palmax-17f1dc5d593a3056bee74d53a31e38065b7236d0/README xf86-input-palmax-5f8c3d97ac2edb3a7ee744369a9826a645b322f9/README
+--- xf86-input-palmax-17f1dc5d593a3056bee74d53a31e38065b7236d0/README	1970-01-01 00:00:00.000000000 +0000
++++ xf86-input-palmax-5f8c3d97ac2edb3a7ee744369a9826a645b322f9/README	2009-01-31 04:28:25.000000000 +0000
+@@ -0,0 +1,20 @@
++xf86-input-palmax - Palmax (TR88L803) touchscreen driver for the Xorg X server
++
++Please submit bugs & patches to the Xorg bugzilla:
++
++        https://bugs.freedesktop.org/enter_bug.cgi?product=xorg
++
++All questions regarding this software should be directed at the
++Xorg mailing list:
++
++        http://lists.freedesktop.org/mailman/listinfo/xorg
++
++The master development code repository can be found at:
++
++        git://anongit.freedesktop.org/git/xorg/driver/xf86-input-palmax
++
++        http://cgit.freedesktop.org/xorg/driver/xf86-input-palmax
++
++For more information on the git code manager, see:
++
++        http://wiki.x.org/wiki/GitPage
+diff -ruN -x .gitignore -x .cvsignore xf86-input-palmax-17f1dc5d593a3056bee74d53a31e38065b7236d0/man/palmax.man xf86-input-palmax-5f8c3d97ac2edb3a7ee744369a9826a645b322f9/man/palmax.man
+--- xf86-input-palmax-17f1dc5d593a3056bee74d53a31e38065b7236d0/man/palmax.man	2008-03-20 20:34:08.000000000 +0000
++++ xf86-input-palmax-5f8c3d97ac2edb3a7ee744369a9826a645b322f9/man/palmax.man	2009-01-31 04:28:25.000000000 +0000
+@@ -82,7 +82,7 @@
+ __xservername__ needs a nice calibration tool.
+ .PP
+ .SH "SEE ALSO"
+-__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__).
++__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__).
+ .SH AUTHORS
+ Authors include...
+  Alan Cox
+diff -ruN -x .gitignore -x .cvsignore xf86-input-palmax-17f1dc5d593a3056bee74d53a31e38065b7236d0/src/xf86Palmax.c xf86-input-palmax-5f8c3d97ac2edb3a7ee744369a9826a645b322f9/src/xf86Palmax.c
+--- xf86-input-palmax-17f1dc5d593a3056bee74d53a31e38065b7236d0/src/xf86Palmax.c	2008-03-20 20:34:08.000000000 +0000
++++ xf86-input-palmax-5f8c3d97ac2edb3a7ee744369a9826a645b322f9/src/xf86Palmax.c	2009-01-31 04:28:25.000000000 +0000
+@@ -68,7 +68,9 @@
+ 	"xf86CollectInputOptions",
+ 	"xf86ErrorFVerb",
+ 	"xf86FindOptionValue",
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 3
+ 	"xf86GetMotionEvents",
++#endif
+ 	"xf86GetVerbosity",
+ 	"xf86MotionHistoryAllocate",
+ 	"xf86NameCmp",
+@@ -467,7 +469,10 @@
+ 		 * screen to fit one meter.
+ 		 */
+ 	
+-		if (InitValuatorClassDeviceStruct(dev, 2, xf86GetMotionEvents,
++		if (InitValuatorClassDeviceStruct(dev, 2,
++#if GET_ABI_MAJOR(ABI_XINPUT_VERSION) < 3
++				xf86GetMotionEvents,
++#endif
+ 				local->history_size, Absolute) == FALSE) {
+ 			ErrorF("Unable to allocate ValuatorClassDeviceStruct\n");
+ 			return !Success;




More information about the arch-commits mailing list